<div>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <mat-form-field appearance="outline">
      <mat-label>1° Item</mat-label>
      <input matInput type="text" formControlName="itemNameA" />
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>2° Item</mat-label>
      <input matInput type="text" formControlName="itemNameB" />
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Discount (%)</mat-label>
      <input matInput type="number" formControlName="value" />
    </mat-form-field>
    <button mat-button type="submit" [disabled]="!form.valid">
      <mat-icon>add</mat-icon>
      Add Discount
    </button>
  </form>
</div>
